%global modsuffix authnz_external
%global conffile %{modsuffix}.conf
%global modulesdir %{_libdir}/httpd/modules
%global confdir %{_sysconfdir}/httpd/conf

Name:		mod_authnz_external		
Version:	3.2.6
Release:	1%{?dist}
Summary:	Mod_authnz_external and mod_auth_external are flexible tools for building custom basic authentication systems for the Apache HTTP Daemon.	

Group:		Development/Tools
License:	Apache License, Version 2.0
URL:		https://code.google.com/p/mod-auth-external/
Source0:	https://mod-auth-external.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	%{conffile}
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	httpd-devel  
Requires:	pwauth, httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)

%description
Mod_Authnz_External is an Apache module used for authentication.  The Apache
HTTP Daemon can be configured to require users to supply logins and passwords
before accessing pages in some directories.  Authentication is the process
of checking if the password given is correct for a user.  Apache has
standard modules for authenticating out of several different kinds of
databases.  Mod_Authnz_External is a flexible tool for creating authentication
systems based on other databases.

%prep
%setup -q


%build
apxs -c -I . %{name}.c

%install
mkdir -p %{buildroot}%{modulesdir} %{buildroot}%{confdir}.d
apxs -i -S LIBEXECDIR=%{buildroot}%{modulesdir} -n %{name} %{name}.la
install -p -m 644 -t %{buildroot}%{confdir}.d/ %{SOURCE1}

# in case we're on a 64-bit machine, otherwise a no-op
sed -i \
	-e 's@/usr/lib/@%{_libdir}/@' \
	%{buildroot}%{confdir}.d/%{conffile}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_sysconfdir}/httpd/conf.d/authnz_external.conf
%{_libdir}/httpd/modules/mod_authnz_external.so


%changelog
* Fri Mar 21 2014 Renish Matta <rm934@nbcs.rutgers.edu> - 3.2.6-1.ru6
- Initial build for Rutgers CentOS 6

